require "g5_ygl_client_20/version"
require "g5_ygl_client_20/client"
require "g5_ygl_client_20/requests/get_lead_request"
require "g5_ygl_client_20/requests/get_leads_for_property_request"
require "g5_ygl_client_20/requests/get_properties_request"
require "g5_ygl_client_20/requests/get_property_request"
require "g5_ygl_client_20/requests/post_lead_request"
require "httparty"

module G5YglClient20

  SENSITIVE_FIELDS = [
    "address1",
    "email",
    "phone"
  ]

  HOST = "www.youvegotleads.com"

  def self.new(username, password, subscription_id, source_id, sub_source_id=nil)
    client = G5YglClient20::Client.new(username, password, subscription_id, source_id, sub_source_id)
  end
end
